Package org.apache.avro

# Class JsonSchemaFormatter

java.lang.Object
org.apache.avro.JsonSchemaFormatter

All Implemented Interfaces:
  `SchemaFormatter`

public class JsonSchemaFormatter extends Object implements SchemaFormatter

## Constructor Summary

Constructors
Constructor
Description
`JsonSchemaFormatter(boolean prettyPrinted)`

## Method Summary

Modifier and Type
Method
Description
`String`
`format(Schema schema)`
Write the specified schema as a String.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JsonSchemaFormatter

public JsonSchemaFormatter(boolean prettyPrinted)

## Method Details

### format

public String format(Schema schema)
Description copied from interface: `SchemaFormatter`
Write the specified schema as a String.

Specified by:
  `format` in interface `SchemaFormatter`
Parameters:
  `schema` - the schema to write
Returns:
  the formatted schema